### Enumeration

# WPEPlatform Modifiers

#### Declaration

    flags WPEPlatform.Modifiers

#### Description [src]

Flags to indicate the state of modifier keys and pointer buttons.

#### Members

`WPE_MODIFIER_KEYBOARD_CONTROL`

  The Control key.

  - Value: `1`
  - Available since: 2.0
`WPE_MODIFIER_KEYBOARD_SHIFT`

  The Shift key.

  - Value: `2`
  - Available since: 2.0
`WPE_MODIFIER_KEYBOARD_ALT`

  The Alt key.

  - Value: `4`
  - Available since: 2.0
`WPE_MODIFIER_KEYBOARD_META`

  The Meta modifier.

  - Value: `8`
  - Available since: 2.0
`WPE_MODIFIER_KEYBOARD_CAPS_LOCK`

  The CapsLock key.

  - Value: `16`
  - Available since: 2.0
`WPE_MODIFIER_POINTER_BUTTON1`

  The first pointer button.

  - Value: `256`
  - Available since: 2.0
`WPE_MODIFIER_POINTER_BUTTON2`

  The second pointer button.

  - Value: `512`
  - Available since: 2.0
`WPE_MODIFIER_POINTER_BUTTON3`

  The third pointer button.

  - Value: `1024`
  - Available since: 2.0
`WPE_MODIFIER_POINTER_BUTTON4`

  The fourth pointer button.

  - Value: `2048`
  - Available since: 2.0
`WPE_MODIFIER_POINTER_BUTTON5`

  The fifth pointer button.

  - Value: `4096`
  - Available since: 2.0